
QGIS Application - Bug report #20274

Saving symbol in Symbol selector

2018-10-30 04:36 PM - Hadrien Bois

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:3.4.0 Regression?: No

Operating System: win10x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 28095

Description

User Feedback

In the Symbol Selector window (right-click on a layer, click Styles, click Edit Symbol). Click on Save Symbol, input a name for the symbol,

click Save and QGIS crashes.

Maybe it has something to my user profile?? This is a relatively clean install (uninstalled everything through OSgeo4w before re-installing

qgis 3.4, as I had some issues with multiple installs). Not totally clean because my recent projects and Fucnction Editor functions and

User profiles were still there.

Report Details

Crash ID: 2bb36f476fc76b21f6139c5831209efb2835e32f

Stack Trace

QBitArray::QBitArray :

QgsStyleModel::data :

QgsStyleProxyModel::filterAcceptsRow :

QSortFilterProxyModel::flags :

QSortFilterProxyModel::filterRole :

QSortFilterProxyModel::invalidateFilter :

QgsStyleModel::headerData :

QMetaObject::activate :

QgsStyle::entityTagsChanged :

QgsStyle::tagSymbol :

QgsStyle::saveSymbol :

QgsSymbolsListWidget::saveSymbol :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :
QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QDialog::exec :

QgisApp::layerTreeViewDoubleClicked :

QMetaObject::activate :

QAbstractItemView::doubleClicked :

QTreeView::mouseDoubleClickEvent :

QWidget::event :

QFrame::event :

QAbstractItemView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.0-Madeira

QGIS code revision: commit:4a4b62ed19

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Duplicates QGIS Application - Bug report # 20256: QGIS 3.4 crashes on save sy... Closed 2018-10-29

History

#1 - 2018-10-30 04:37 PM - Hadrien Bois

Forgot to add "crashes QGIS" in the title

#2 - 2018-10-30 05:04 PM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed
#20256

#3 - 2018-10-31 12:38 PM - Jürgen Fischer

- Duplicates Bug report #20256: QGIS 3.4 crashes on save symbol added
